<form role="form" name="form">
    <div class="form-group">
      <label for="symp_startdate-field">Wann traten zum ersten Mal Symptome auf?</label>
        <p class="input-group">
          <input type="text"
              cam-variable-name="symp_startdate"
              cam-variable-type="Date"
              class="form-control"
              id="datepickus"
              uib-datepicker-popup="yyyy-MM-dd'T'HH:mm:ss"
              is-open="dateFieldOpened" />        
          <span class="input-group-btn">
            <button type="button"
                    class="btn btn-default"
                    ng-click="open($event)">
              <i class="glyphicon glyphicon-calendar"></i>
            </button>
          </span>
        </p>
      </div>

      <p></p>
      <p></p>



      <div class="form-group">
        <label for="email-field">Welche der folgenden Orte wurden in der letzten Zeit besucht? </label>
        <p style="font-size: 0.8em" >
          Für die nachfolgenden Orte sind Datenbanken vorhanden, um Kontaktpersonen automatisch zu ermitteln.
          Wählen Sie die folgenden Orte aus, wenn Sie diese Orte seit Bekanntwerden der Symptome besucht haben.          
        </p>
        <p><input type="checkbox" cam-variable-name="visited_restaurant" cam-variable-type="Boolean" id="rest_sel"/> Restaurants</p>
        <p><input type="checkbox" cam-variable-name="visited_schwimmbad" cam-variable-type="Boolean" /> Schwimmbäder</p>
      </div>


      <div class="form-group">
        <label>Welche weiteren Orte wurden in der letzten Zeit besucht?</label>
        <p style="font-size: 0.8em" >Bitte geben Sie hier alle weiteren relevanten Orte mit Personenverkehr an, an denen Sie sich mehr als 30 Minuten aufgehalten haben.</p>
        <table style="width:100%" id="ort_table">
          <tr>
            <th>Ort</th>
            <th>E-Mail</th>
            <th>Telefonnummer</th>
          </tr>

          <tr id="ort_row_1" style="margin-top:10px;">
            <td><input class="form-control" id="name_o" /></td>
            <td><input class="form-control" id="email_o"  /></td>
            <td><input class="form-control"  id="phone_o" /></td>
          </tr>
        </table>   
        <button class="btn btn-default" style="margin-top:10px;" id="addmoreort"><i class="glyphicon glyphicon-plus"> </i>     Weiteren Ort hinzufügen</i></button> 
      </div>


      <div class="form-group">
        <label for="email-field">Mit welchen Personen hatten Sie in der letzten Zeit Kontakt?</label>
        <p style="font-size: 0.8em" >Bitte geben Sie Kontaktpersonen der Kategorie I und II an. Weitere Informationen unter: <a href="https://www.rki.de/DE/Content/InfAZ/N/Neuartiges_Coronavirus/Kontaktperson/Management.html">Informationen zur Kontaktverfolgung, RKI, 2020</a></p>
        <table style="width:100%" id="contact_table">
          <tr>
            <th>Vorname</th>
            <th>Nachname</th>
            <th>E-Mail</th>
            <th>Telefonnummer</th>
            <th>Kategorie</th>
          </tr>

          <tr id="contact_row_1" style="margin-top:10px;">
            <td><input class="form-control" id="vorname_c" /></td>
            <td><input class="form-control" id="nachname_c"  /></td>
            <td><input class="form-control"  id="email_c"    /></td>
            <td><input class="form-control"  id="phone_c"    /></td>
            <td>
              <select style ="height: 34px;"  id="kategorie_c">
                  <option value="1">Kategorie I</option>
                  <option value="2">Kategorie II</option>
              </select>
            </td>
          </tr>
        </table>   
        <button class="btn btn-default" style="margin-top:10px;" id="addmore"><i class="glyphicon glyphicon-plus"> </i>     Weitere Person hinzufügen</i></button> 
      </div>

      <button class="btn btn-default" style="margin-top:10px;" id="fill">Fill</button> 
      <button class="btn btn-default" style="margin-top:10px;" id="testb">Test</button> 



      <script cam-script type="text/form-script">

        

        $scope.open = function($event) {
          $event.preventDefault();
          $event.stopPropagation();
      
          $scope.dateFieldOpened = true;
        };

        var contacts_count = 1

        $("#addmore").click(function () {
          // Copy and add Row
          contacts_count= contacts_count+1;
          var row = $("#contact_row_1").clone();
          var idname = "contact_row_"+contacts_count;
          row = row.attr("id",idname)
          row.appendTo("#contact_table");
          
          //Delete Vals

          $("#"+idname+" > td > input").val("")

          //Change attr

          $("#"+idname+" > td > #vorname_c").attr("cam-variable-name","vorname_c_"+contacts_count);
          $("#"+idname+" > td > #nachname_c").attr("cam-variable-name","nachname_c_"+contacts_count);
          $("#"+idname+" > td > #email_c").attr("cam-variable-name","email_c_"+contacts_count);
          $("#"+idname+" > td > #phone_c").attr("cam-variable-name","phone_c_"+contacts_count);
          $("#"+idname+" > td > #kategorie_c").attr("cam-variable-name","kat_c_"+contacts_count);    


        });

        var ort_count = 1


        $("#addmoreort").click(function () {
          // Copy and add Row
          ort_count= ort_count+1;
          var row = $("#ort_row_1").clone();
          var idname = "ort_row_"+ort_count;
          row = row.attr("id",idname)
          row.appendTo("#ort_table");
          
          //Delete Vals

          $("#"+idname+" > td > input").val("")

          //Change attr

          $("#"+idname+" > td > #name_o").attr("cam-variable-name","name_o_"+ort_count);
          $("#"+idname+" > td > #email_o").attr("cam-variable-name","email_o_"+ort_count);
          $("#"+idname+" > td > #phone_o").attr("cam-variable-name","phone_o_"+ort_count);    


        });


        $("#test").click(function () {
          $('#contact_row').each(function(index, tr) { 
            console.log(index);
            console.log(tr);
         });
        });



        
      $("#fill").click(function () {
        
        $("#addmore").click();
        $("#addmore").click();

        $("#datepickus").val("2020-06-30T00:00:00");
        $("#rest_sel").prop( "checked", true );

        $("#vorname_c").val("Lena");
        $("#nachname_c").val("Stelzer");
        $("#email_c").val("l.stelzer@mail.com");
        $("#phone_c").val("015154878967");
        $("#kategorie_c").val("1");

        $("#contact_row_2 > td > #vorname_c").val("Uwe")
        $("#contact_row_2 > td > #nachname_c").val("Mustermann")
        $("#contact_row_2 > td > #email_c").val("uwe@mustermann.de")
        $("#contact_row_2 > td > #phone_c").val("016389789624")
        $("#contact_row_2 > td > #kategorie_c").val("1")

        $("#contact_row_3 > td > #vorname_c").val("Nicolai")
        $("#contact_row_3 > td > #nachname_c").val("Schneider")
        $("#contact_row_3 > td > #email_c").val("n.schneider@mail.de")
        $("#contact_row_3 > td > #phone_c").val("016589728728")
        $("#contact_row_3 > td > #kategorie_c").val("1")


        $("#addmoreort").click();
        $("#ort_row_1 > td > #name_o").val("ESB Business School Reutlingen")
        $("#ort_row_1 > td > #phone_o").val("071212713001")
        $("#ort_row_1 > td > #email_o").val("esb@reutlingen-university.de")

        $("#ort_row_2 > td > #name_o").val("Europa Institut Reutlingen")
        $("#ort_row_2 > td > #phone_o").val("0712138440")
        $("#ort_row_2 > td > #email_o").val("sekretariat@europainstitut.eu")
      
        

      });


      camForm.on('submit', function() {

        var contacts = new Array(); 

        for(var i=1; i<=contacts_count;i++){
          var con = {
            vorname: $("#contact_row_"+i+" > td > #vorname_c").val(),
            nachname: $("#contact_row_"+i+" > td > #nachname_c").val(),
            email: $("#contact_row_"+i+" > td > #email_c").val(), 
            phone: $("#contact_row_"+i+" > td > #phone_c").val(), 
            cat: $("#contact_row_"+i+" > td > #kategorie_c").val()
          };
          contacts.push(con);
        }

        console.log(contacts)

        camForm.variableManager.createVariable({
          name: 'contacts',
          type: 'json',
          value: contacts
        });


        var orte = new Array(); 

        for(var i=1; i<=ort_count;i++){
          var or = {
            ort: $("#ort_row_"+i+" > td > #name_o").val(),
            email: $("#ort_row_"+i+" > td > #email_o").val(), 
            phone: $("#ort_row_"+i+" > td > #phone_o").val()
          };
          orte.push(or);
        }

        console.log(orte)

        camForm.variableManager.createVariable({
          name: 'orte',
          type: 'json',
          value: orte
        });

        camForm.variableManager.createVariable({
          name: 'ort_count',
          type: 'Integer',
          value: ort_count
        });

        
      
      
      });


      $("#testb").click(function () {

        var contacts = new Array(); 

        for(var i=1; i<=contacts_count;i++){
          var con = {
            vorname: $("#contact_row_"+i+" > td > #vorname_c").val(),
            nachname: $("#contact_row_"+i+" > td > #nachname_c").val(),
            email: $("#contact_row_"+i+" > td > #email_c").val(), 
            phone: $("#contact_row_"+i+" > td > #phone_c").val(), 
            cat: $("#contact_row_"+i+" > td > #kategorie_c").val()
          };
          contacts.push(con);
        }

        console.log(contacts)


        var orte = new Array(); 

        for(var i=1; i<=ort_count;i++){
          var or = {
            ort: $("#ort_row_"+i+" > td > #name_o").val(),
            email: $("#ort_row_"+i+" > td > #email_o").val(), 
            phone: $("#ort_row_"+i+" > td > #phone_o").val()
          };
          orte.push(or);
        }

        console.log(orte)

        

      });

      </script>

</form>